Skip to main content
GET
Retrieve all runtimes for the currently authenticated user

Authorizations

JSESSIONID
string
cookie
required

Query Parameters

offset
integer<int32>
default:0

The initial position to search from

size
integer<int32>
default:20

The maximum number of results to return

Response

OK - successfully retrieved the current user's associated runtimes

association
object

The Response data model for a Runtime-to-User association.

attributes
object

Runtime Response Attributes

deviceType
string

The runtime’s type of physical device

Example:

"mobile"

displayName
string

The display name of the entity

Example:

"Entity display name"

guid
string

The global unique identifier of the runtime provided at login. If this is not provided by the customer, ULM will assign one for tracking purposes.

Example:

"DEF123"

id
integer<int64>

The unique ID of an entity.

Example:

1

platformType
string

The runtime’s platform type

Example:

"android"

status
enum<string>

The status of the entity. Possible values include:

  • activating - The entity has been provisioned, but is not yet ready to be used or consumed.
  • activated - The entity is active, and the functionality to which it is tied is enabled.
  • suspended - The entity is temporarily deactivated, but can be reactivated in the future.
  • deactivated - The entity is permanently deactivated, and may be deleted from the system in the near future.
  • pending - The entity has been added but is not yet verified for use. It may be linked to an existing entity in order to eventually replace the original entity.
  • unknown - This is a generic, catch all state for specific entities.

Note: This field is the current status in GET calls, and the desired status in PUT and POST calls.

Available options:
activating,
activated,
suspended,
deactivated,
pending,
unknown
Example:

"activated"

type
string

A particular type of a given entity.

Example:

"com.uxpsystems.ulm.entity.RegularEntityType"

version
string

The runtime’s version

Example:

"4.1.1"

buildType
string

The customer-defined build type of this specific runtime. This can be used to discriminate between known beta versus production hardware.

Example:

"production"

userAgent
string

The runtime’s browser and operating system information

Example:

"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/71.0.3578.98 Safari/537.36"

activatedDate
number<int64>

The entity’s activation date and time, expressed in UNIX Epoch time

Example:

1651180416000

suspendedDate
number<int64>

The entity’s suspension date and time, expressed in UNIX Epoch time

Example:

1651180416000

deactivatedDate
number<int64>

The entity’s deactivation date and time, expressed in UNIX Epoch time

Example:

1651180416000

createdDate
number<int64>

The entity’s creation date and time in UNIX Epoch time

Example:

1651180416000

updatedDate
number<int64>

The most recent date and time that the entity was updated, expressed in UNIX Epoch time

Example:

1651180416000

hasToken
boolean

If the current runtime have any associated access tokens

Example:

true